﻿using Hotline.Share.Dtos;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.YbEnterprise.Sdk
{
	public class EnterpriseServiceResponse
	{
		public int code {  get; set; }
		public bool success { get; set; }
		public EnterpriseVo data { get; set; }
		public string msg { get; set; }
	}

	public class EnterpriseListRequest 
	{
		public string EnterpriseName { get; set; }

		public int Current {  get; set; }

		public int Size { get; set; }
	}

	public class EnterpriseListResponse
	{
		public int code { get; set; }
		public bool success { get; set; }
		public EnterpriseListData data { get; set; }
	}

	public class EnterpriseListData
	{
		public EnterpriseListDataRecords records { get; set; }

		public int total { get; set; }

		public int size { get; set; }

		public int current { get; set; }

		public int pages { get; set; }
	}

	public class EnterpriseListDataRecords 
	{
		public string enterpriseCode { get; set; }
		public string enterpriseName { get; set; }
		public string specialTeamCode { get; set; }
		public string specialTeamName { get; set; }
	}
}
